Subject: Re: bug#2869: 23.0.91; ediff-revision via TRAMP broken

From: David Abrahams <[email-masked]>
Date: Mon, 6 Apr 2009 15:47:09 -0400

On Apr 5, 2009, at 2:22 PM, Michael Albinus wrote:

> David Abrahams <[email-masked]> writes:
>
>> On a Mac, open an svn-controlled file via TRAMP to a Linux machine.
>> `M-x ediff-revision <RET> <RET> <RET>'
>>
>> This was the backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument integerp nil)
>>  signal(wrong-type-argument (integerp nil))
>>  byte-code("Â!ˆÃ	@	A\"‡" [tmpfile err delete-file signal] 3)
>>  tramp-handle-file-local-copy("/ssh:[email-masked]:/home/boost/searchme_webmap/tools/common.mk 
>> .~3281~")
>
> Unfortunately, the byte code does not show exactly the function  
> where the
> error appears. OTOH, there were some problems in Tramp setting file
> permissions, when `file-modes' of a certain file returned nil. I've  
> made
> Tramp more robust in this case. Could you, please, check with a recent
> Emacs 23.0.92 (checkout shall be newer than this message)?

I'm testing the latest snapshot from http://porkrind.org/emacs/ 
index.cgi right now; I'll get back to you.

Thanks,

--
David Abrahams
BoostPro Computing
http://boostpro.com